#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: free
version: 5.1
id: free-5.1-JhMuAnTc8ek9ev9jxwgB0s
key: free-5.1-JhMuAnTc8ek9ev9jxwgB0s
license: BSD-3-Clause
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
abi: 5414fffe6723b266a4c2a08858e0f938
exposed: True
exposed-modules:
    Control.Alternative.Free Control.Alternative.Free.Final
    Control.Applicative.Free Control.Applicative.Free.Fast
    Control.Applicative.Free.Final Control.Applicative.Trans.Free
    Control.Comonad.Cofree Control.Comonad.Cofree.Class
    Control.Comonad.Trans.Cofree Control.Comonad.Trans.Coiter
    Control.Monad.Free Control.Monad.Free.Ap Control.Monad.Free.Church
    Control.Monad.Free.Class Control.Monad.Free.TH
    Control.Monad.Trans.Free Control.Monad.Trans.Free.Ap
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
hidden-modules: Data.Functor.Classes.Compat
import-dirs: /usr/lib/ghc-8.4.3/site-local/free-5.1
library-dirs: /usr/lib/ghc-8.4.3/site-local/free-5.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/free-5.1
hs-libraries: HSfree-5.1-JhMuAnTc8ek9ev9jxwgB0s
includes:
    free-common.h
depends:
    base-4.11.1.0 comonad-5.0.4-8lc13BxmsJdJWnAIQnOnYu
    distributive-0.6-5OBZ75aRqVqHcaenCFzKg2 mtl-2.2.2
    profunctors-5.3-BNy5KmCLmwQ8MDQAfwHl2C
    semigroupoids-5.3.1-HkNAt8JiBqoEsmzjtHnGU0 transformers-0.5.5.0
    transformers-base-0.4.5.2-AexAWi6e5nx6jQ9Vfwnuts
    template-haskell-2.13.0.0 exceptions-0.10.0-7FqenMMTX3xHtUICKpGQUY
    containers-0.5.11.0
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             comonad-5.0.4-8lc13BxmsJdJWnAIQnOnYu=b0382dc2b4565a0d80e5df0557fcccdc
             distributive-0.6-5OBZ75aRqVqHcaenCFzKg2=19b56766a8c59e7c88ca8cd39dc5b42c
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             profunctors-5.3-BNy5KmCLmwQ8MDQAfwHl2C=e4f2bee3f33f660ebdf77ad76ead94c3
             semigroupoids-5.3.1-HkNAt8JiBqoEsmzjtHnGU0=62501689fd76e4a3fca1843dbfba2467
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             transformers-base-0.4.5.2-AexAWi6e5nx6jQ9Vfwnuts=429c07af1089832867529f5d7ce0e624
             template-haskell-2.13.0.0=1ce4a454c5861830bbdedc46baa462f3
             exceptions-0.10.0-7FqenMMTX3xHtUICKpGQUY=1e7acabe11915a69b3faf108407a56c7
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
haddock-interfaces: /usr/share/doc/haskell-free/html/free.haddock
haddock-html: /usr/share/doc/haskell-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

